## org.eclipse.datatools.connectivity.oda.design.ui.designsession
Class DataSourceDesignSession.ProfileReference

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.internal.designsession.DataSourceDesignSessionBase.ProfileReferenceBase
          org.eclipse.datatools.connectivity.oda.design.ui.designsession.DataSourceDesignSession.ProfileReference

Enclosing class:
  DataSourceDesignSession

    public static class DataSourceDesignSession.ProfileReference

extends org.eclipse.datatools.connectivity.oda.design.internal.designsession.DataSourceDesignSessionBase.ProfileReferenceBase

Represents the reference information of an external connection profile.

Constructor Summary
`DataSourceDesignSession.ProfileReference(java.lang.String profileInstanceId, java.io.File storageFile, boolean maintainExternalLink)` Constructor.

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.designsession.DataSourceDesignSessionBase.ProfileReferenceBase
`equals, equalsIgnoreMaintainLink, getDescription, getInstanceId, getName, getProfileInstance, getStorageFile, getStorageFilePath, maintainExternalLink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceDesignSession.ProfileReference

    public DataSourceDesignSession.ProfileReference(java.lang.String profileInstanceId,
                                                    java.io.File storageFile,
                                                    boolean maintainExternalLink)

  Constructor.

  Parameters:
    `profileInstanceId` - profile instance id; such as the instance id returned by the `DesignSessionUtil.getProfileIdentifiers` method
    `storageFile` - a file that stores profile instances; may be null, which means to use the default DTP profiles storage file
    `maintainExternalLink` - "true" indicates to maintain a link to the given profile instance and storageFile, and applies its latest properties values at run-time. "false" indicates to work with a copy of the current properties specified in the profile instance; any future changes to the profile instance is not applied to the data source design.